Summary:        A utility for converting FIG files (created by xfig) to other formats
Name:           transfig
Version:        3.2.8a
Release:        %mkrel 1
License:        MIT
Group:          Graphics/Utilities
URL:            https://sourceforge.net/projects/mcj/
Source0:        https://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  imake
BuildRequires:  libtool
BuildRequires:  tcsh
BuildRequires:  ghostscript
Requires:       ghostscript
Requires:       netpbm

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
%setup -q -n fig2dev-%{version}
%autopatch -p1

# Fix the manpage not being in UTF-8
iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in

%build
autoreconf -vfi
%configure --enable-transfig
%make_build

%install
%make_install

%files
%doc CHANGES NOTES README
%{_bindir}/*
%{_datadir}/fig2dev/
%{_mandir}/man?/*


%changelog
* Mon Jul 26 2021 neoclust <neoclust> 3.2.8a-1.mga8
+ Revision: 1737807
- New version 3.2.8a: Fixes CVE-2021-3561 (mga#29126)

* Thu Feb 20 2020 umeabot <umeabot> 3.2.7b-3.mga8
+ Revision: 1545883
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 3.2.7b-2.mga8
+ Revision: 1485397
- add upstream patches to fix CVE-2019-19746 and CVE-2019-19797 (mga#26146)
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 16 2020 shlomif <shlomif> 3.2.7b-1.mga8
+ Revision: 1478205
- New version 3.2.7b

* Wed Mar 06 2019 tv <tv> 3.2.7a-3.mga7
+ Revision: 1372035
- requires netpbm thus fixing building xen

* Wed Mar 06 2019 tv <tv> 3.2.7a-2.mga7
+ Revision: 1371953
- BR ghostscript thus fixing building xen

* Sun Feb 03 2019 shlomif <shlomif> 3.2.7a-1.mga7
+ Revision: 1362808
- Fix mga#23537
- new ver 3.2.7a - drop fixed patch.

* Sun Sep 23 2018 umeabot <umeabot> 3.2.6a-2.mga7
+ Revision: 1301451
- Mageia 7 Mass Rebuild

* Sat Dec 16 2017 shlomif <shlomif> 3.2.6a-1.mga7
+ Revision: 1182865
- New ver 3.2.6a and fix for MGA#22199 .

* Mon Feb 01 2016 umeabot <umeabot> 3.2.5d-9.mga6
+ Revision: 929848
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.2.5d-8.mga5
+ Revision: 750764
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 3.2.5d-7.mga5
+ Revision: 725259
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.5d-6.mga5
+ Revision: 689941
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.2.5d-5.mga4
+ Revision: 526466
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 3.2.5d-4.mga4
+ Revision: 436958
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 3.2.5d-3.mga3
+ Revision: 384733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 3.2.5d-2.mga3
+ Revision: 328914
- update RPM group

* Thu Sep 15 2011 fwang <fwang> 3.2.5d-1.mga2
+ Revision: 144043
- build with latest libpng

* Sun Jan 09 2011 blino <blino> 3.2.5d-1.mga1
+ Revision: 3351
- imported package transfig


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 3.2.5d-1mdv2011.0
+ Revision: 626934
- new version 3.2.5d

* Fri Dec 31 2010 Funda Wang <fwang@mandriva.org> 3.2.5c-5mdv2011.0
+ Revision: 626810
- tighten BR

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.5c-3mdv2011.0
+ Revision: 608040
- rebuild

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 3.2.5c-2mdv2010.1
+ Revision: 518367
- update build deps

* Wed Feb 03 2010 Lev Givon <lev@mandriva.org> 3.2.5c-1mdv2010.1
+ Revision: 500106
- Update to 3.2.5c.

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 3.2.5a-2mdv2010.0
+ Revision: 450399
- fix mips build failure because of optopt mismatch
  (from Arnaud Patard)

* Fri Sep 04 2009 Lev Givon <lev@mandriva.org> 3.2.5a-1mdv2010.0
+ Revision: 431413
- Update to 3.2.5a.
- Update to 3.2.5a.

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.5-4mdv2010.0
+ Revision: 427431
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 3.2.5-3mdv2009.1
+ Revision: 366387
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 3.2.5-2mdv2009.0
+ Revision: 225870
- rebuild

* Wed Jan 30 2008 Lev Givon <lev@mandriva.org> 3.2.5-1mdv2008.1
+ Revision: 160291
- Update to 3.2.5 final.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Fri May 25 2007 Christiaan Welvaart <spturtle@mandriva.org> 3.2.5-0.5mdv2008.0
+ Revision: 31165
- when generating bitmaps, use a tempfile for the eps to work around a crash of gs on ppc


* Mon Feb 19 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.5-0.4mdv2007.0
+ Revision: 122633
- buildrequires imake
- New alpha 7
- drop patches 3 and 4, applied upstream

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - Fix build with newer X.org configury
    - Bunzip2 patches
    - Import transfig

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.3mdk
- merge from old ppc64-branch:
  * fix fig2dev files location
  * rename text() to do_text() to fix build on dot syms platforms

* Sat Aug 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.5-0.2mdk
- gcc4 fixes

* Mon Mar 28 2005 Daouda LO <daouda@mandrakesoft.com> 3.2.5-0.1mdk
- release for xfig-3.2.5

* Thu Dec 09 2004 Götz Waschk <waschk@linux-mandrake.com> 3.2.4-4mdk
- add html docs
- add new files
- fix buildrequires

